"""This list of stop words has been moved over from the now-defunct
Latin_and_Ancient_Greek_for_NLTK
[https://github.com/kylepjohnson/Latin_and_Ancient_Greek_for_NLTK/
tree/master/stop].

Its original source was the Perseus Hopper source
[http://sourceforge.net/projects/perseus-hopper], found at
"/sgml/reading/build/stoplists", though this only contained acute accents on
the ultima. There has thus been added grave accents to the ultima of each.

Perseus source is made available under the Mozilla Public License 1.1
(MPL 1.1) [http://www.mozilla.org/MPL/1.1/].

The original file was that found in stops_beta_code_lower.txt, which I have
transformed into uppercase and Unicode. Note that the Unicode lists do not
use the word-final sigma ('ς') and have, if applicable, acute accents.

TODO:
 - Add alternate versions of these words to the list, such as 'ἐξ' for 'ἐκ'.
 - Eventually, an entirely new list of stopwords should be generated from the
 TLG corpus, including the most frequently found words in the entire Ancient
 Greek canon, as well as more specific lists according to date, genre, etc..
"""

STOPS_LIST = ['αὐτὸσ',
              'αὐτόσ',
              'γε',
              'γὰρ',
              'γάρ',
              "δ'",
              'δαὶ',
              'δαὶσ',
              'δαί',
              'δαίσ',
              'διὰ',
              'διά',
              'δὲ',
              'δέ',
              'δὴ',
              'δή',
              'εἰ',
              'εἰμὶ',
              'εἰμί',
              'εἰσ',
              'εἴμι',
              'κατὰ',
              'κατά',
              'καὶ',
              'καί',
              'μετὰ',
              'μετά',
              'μὲν',
              'μέν',
              'μὴ',
              'μή',
              'οἱ',
              'οὐ',
              'οὐδεὶσ',
              'οὐδείσ',
              'οὐδὲ',
              'οὐδέ',
              'οὐκ',
              'οὔτε',
              'οὕτωσ',
              'οὖν',
              'οὗτοσ',
              'παρὰ',
              'παρά',
              'περὶ',
              'περί',
              'πρὸσ',
              'πρόσ',
              'σὸσ',
              'σόσ',
              'σὺ',
              'σὺν',
              'σύ',
              'σύν',
              'τε',
              'τι',
              'τισ',
              'τοιοῦτοσ',
              'τοὶ',
              'τοί',
              'τοὺσ',
              'τούσ',
              'τοῦ',
              'τὰ',
              'τά',
              'τὴν',
              'τήν',
              'τὶ',
              'τὶσ',
              'τί',
              'τίσ',
              'τὸ',
              'τὸν',
              'τό',
              'τόν',
              'τῆσ',
              'τῇ',
              'τῶν',
              'τῷ',
              "ἀλλ'",
              'ἀλλὰ',
              'ἀλλά',
              'ἀπὸ',
              'ἀπό',
              'ἂν',
              'ἄλλοσ',
              'ἄν',
              'ἄρα',
              'ἐγὼ',
              'ἐγώ',
              'ἐκ',
              'ἐμὸσ',
              'ἐμόσ',
              'ἐν',
              'ἐπὶ',
              'ἐπί',
              'ἐὰν',
              'ἐάν',
              'ἑαυτοῦ',
              'ἔτι',
              'ἡ',
              'ἢ',
              'ἤ',
              'ὁ',
              'ὃδε',
              'ὃσ',
              'ὅδε',
              'ὅσ',
              'ὅστισ',
              'ὅτι',
              'ὑμὸσ',
              'ὑμόσ',
              'ὑπὲρ',
              'ὑπέρ',
              'ὑπὸ',
              'ὑπό',
              'ὡσ',
              'ὥστε',
              'ὦ']
